
function ciy_chart_farm1_l2(opdata) {
    this.func = ['farm_l2'];
    this.lastdata = {};
    this.resize = function () {
    }
    this.setdata = function (funame, data) {
        if(!data)
            return;
        this.lastdata[funame] = data;
        $5('[data-sp="frxm"]', opdata.container).text(data.farm.dkrname);
        $5('[data-sp="frlxfs"]', opdata.container).text(data.farm.dkrmobile);
        $5('[data-sp="lxr"]', opdata.container).text(data.farm.lxrname);
        $5('[data-sp="lxfs"]', opdata.container).text(data.farm.lxrmobile);
        $5('[data-sp="area"]', opdata.container).text(data.farm.areacode);
        $5('[data-sp="addr"]', opdata.container).text(data.farm.addr);
    }
    this.distory = function () {
    }


    var thos = this;

    opdata.container.append(`<div class="brimg cehide" style="background: #00000066;border-radius: 0.5em;height: 100%;">
        <div style="pointer-events: none;min-width:180px;padding-top: 0.5em;padding-left:4px;">
            <span style="color:#fffffd;font-weight: bolder;letter-spacing: 2px;padding-left:1em;">企业信息</span>
            <div style="position: relative;margin-top: 0.6em;">
            <img src="/ud/bigscreen/tit/06.png" style="height:0.3em;display: block;">
            <div style="position: absolute;left: 12em;right: 4px;border-bottom:0.05em solid #64ecf7;"></div>
            </div>
        </div>
        <div style="padding:1em;" class="l2">
            <div><div>法人姓名</div><span data-sp="frxm">--</span></div>
            <div><div>法人手机号</div><span data-sp="frlxfs">--</span></div>
            <div><div>联系人</div><span data-sp="lxr">--</span></div>
            <div><div>联系手机号</div><span data-sp="lxfs">--</span></div>
            <div><div>所在地区</div><span data-sp="area">--</span></div>
            <div><div>地址</div><span data-sp="addr">--</span></div>
        </div>
    </div>`);

    var style = document.createElement("style");
    style.innerHTML = `
    .l2>div{display:flex;padding-bottom:0.8em;align-items: baseline;}
    .l2>div>div{color:#ffffff;width: 7em;margin-left: 1em;padding-right: 2em;font-weight: bolder;text-align:right;}
    .l2>div>span{flex:1;}
    `;
    window.document.head.appendChild(style);

}